%global npm_name get-caller-file
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.0.2
Release: %mkrel 5
Summary: Find out the file from which that function was called from
License: ISC
Group: Development/Other
URL: https://github.com/stefanpenner/get-caller-file#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%doc README.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.0.2-5.mga10
+ Revision: 2209143
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.0.2-4.mga9
+ Revision: 1819564
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 1.0.2-3.mga8
+ Revision: 1535473
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.0.2-2.mga8
+ Revision: 1280490
- Mageia 7 Mass Rebuild

* Sun Apr 29 2018 kekepower <kekepower> 1.0.2-1.mga7
+ Revision: 1223361
- imported package nodejs-get-caller-file

